Bug 139009 - Firefox library path contains version number
Firefox library path contains version number
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: 531815 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 10:00 EST by Steve Hill
Modified: 2009-11-01 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-12 22:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Hill 2004-11-12 10:00:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
The FireFox library path is /usr/lib/firefox-0.10.1 - i.e. it contains
the version number which will presumably mean that any plugins
installed in /usr/lib/firefox-0.10.1/plugins will need to be
reinstalled after every RPM upgrade of firefox.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install firefox RPM

Actual Results:  Libs in /usr/lib/firefox-0.10.1

Expected Results:  Libs in /usr/lib/firefox

Additional info:
Comment 1 Warren Togami 2004-11-12 22:52:12 EST
NOTABUG.  This is intended.
Comment 2 Christopher Aillon 2004-11-13 03:01:48 EST
Use /usr/lib/mozilla/plugins for your plugins.

As warren noted, this is intended because the libraries are not
compatible between versions and their library names don't change.
Comment 3 Matěj Cepl 2009-10-30 10:19:53 EDT
*** Bug 531815 has been marked as a duplicate of this bug. ***
Comment 4 Matěj Cepl 2009-11-01 17:15:29 EST
*** Bug 532132 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.